Speedtest

Fermé
tatal21820 Messages postés 35 Date d'inscription vendredi 6 mai 2022 Statut Membre Dernière intervention 2 septembre 2023 - Modifié le 18 janv. 2023 à 18:03
mamiemando Messages postés 33127 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 24 mai 2024 - 18 janv. 2023 à 18:06

Bonjour à tous,

J'essaye d'utiliser speedtest.

import speedtest

speed = speedtest.Speedtest()
print("Download Speed: ", speed.download())
print("Upload Speed: ", speed.upload())

Que ce soit dans le terminal ou dans Pycharm, j'ai toujours le message suivant :

Traceback (most recent call last):
  File "C:\Users\tatal\PycharmProjects\speedteste\venv\lib\site-packages\speedtest.py", line 1493, in get_best_server
    fastest = sorted(results.keys())[0]
IndexError: list index out of range

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\tatal\PycharmProjects\speedteste\main.py", line 4, in <module>
    print("Download Speed: ", speed.download())
  File "C:\Users\tatal\PycharmProjects\speedteste\venv\lib\site-packages\speedtest.py", line 1518, in download
    (os.path.dirname(self.best['url']), size, size))
  File "C:\Users\tatal\PycharmProjects\speedteste\venv\lib\site-packages\speedtest.py", line 1112, in best
    self.get_best_server()
  File "C:\Users\tatal\PycharmProjects\speedteste\venv\lib\site-packages\speedtest.py", line 1495, in get_best_server
    raise SpeedtestBestServerFailure('Unable to connect to servers to '
speedtest.SpeedtestBestServerFailure: Unable to connect to servers to test latency.

Pouvez-vous m'aidez S'il vous plaît ?

Merci

2 réponses

Salut, vu que la doc est inexistante en ligne, du moins je ne trouve pas, même le code source du module n'est pas visible sans avoir de compte gitlab... Bref.

.

Que donne la doc interactive de ce module ? Il manque forcément des paramètres à ces méthodes ou à l'instanciation de l'objet.

0
mamiemando Messages postés 33127 Date d'inscription jeudi 12 mai 2005 Statut Modérateur Dernière intervention 24 mai 2024 7 755
18 janv. 2023 à 18:06

Bonjour,

D'après la documentation de speedtest (on trouve le lien vers le wiki dans la page pypi de speedtest) ton code est incomplet :

import speedtest

servers = []
# If you want to test against a specific server
# servers = [1234]

threads = None
# If you want to use a single threaded test
# threads = 1

s = speedtest.Speedtest()
s.get_servers(servers)
s.get_best_server()
s.download(threads=threads)
s.upload(threads=threads)
s.results.share()

results_dict = s.results.dict()

Bonne chance

0